Namespace
library
Image / Tag
golang:1.8.3-stretch
Content Digest
sha256:9ee7e36b7224ec36bd5a228d3743827e8db674a3bae52e5cfa635cf6e1b9d59c
Details
Created

2017-09-14 01:38:00 UTC

Size

246 MB

Content Digest
Environment
GOLANG_VERSION

1.8.3

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:219d2e45b4afc3d80375a2fcf76505684de01f55027fb35a691099f0e538fdd8 - 17.47% (43 MB)

[#001] sha256:ef9ce992ffe4e9206f990140191a5c20da0b4d94b00368b0cf95d842ff624a05 - 4.3% (10.6 MB)

[#002] sha256:d0df8518230c3fcec095c3d4d27ee2f0f7df43aff4edb1461414ed74fa0751ec - 1.79% (4.42 MB)

[#003] sha256:38ae21afde7b8e1eac3c1778aafa74ca286c2b5fccbb710da1016ca24a0bac56 - 19.36% (47.7 MB)

[#004] sha256:94bf2214b363bbcef9cab240d83a8100f927dd142499b743f05d359340a87ead - 22.24% (54.8 MB)

[#005] sha256:2c11ea60e2a93794141ebcf4bcc98789f3bc8eea6374a362d6a605a4334f94b5 - 34.85% (85.9 MB)

[#006] sha256:05fdaa1f8ab1cbdd9c9d87e7b06e272eddd998fdba76da04f62a7c4d036bc923 - 0.0% (126 Bytes)

[#007] sha256:7c4d98f134bf5aa6fda9fae10c9c0ffe71adee491041f1c6df607614da760271 - 0.0% (1.34 KB)


History
2017-09-13 08:41:42 UTC

/bin/sh -c #(nop) ADD file:a7405474b639b2239b96a93d02803224c052a390fe42b3f9080f2ad07de94640 in /

2017-09-13 08:41:42 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-09-13 12:36:23 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-09-13 12:36:27 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg2 dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-09-13 12:36:42 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-09-14 01:36:23 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-09-14 01:37:50 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.8.3

2017-09-14 01:37:58 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='1862f4c3d3907e59b04a757cfda0ea7aa9ef39274af99a784f5be843c80c6772' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='3c30a3e24736ca776fc6314e5092fb8584bd3a4a2c2fa7307ae779ba2735e668' ;; i386) goRelArch='linux-386'; goRelSha256='ff4895eb68fb1daaec41c540602e8bb4c1e8bb2f0e7017367171913fc9995ed2' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='e5fb00adfc7291e657f1f3d31c09e74890b5328e6f991a3f395ca72a8c4dc0b3' ;; s390x) goRelArch='linux-s390x'; goRelSha256='e2ec3e7c293701b57ca1f32b37977ac9968f57b3df034f2cc2d531e80671e6c8' ;; *) goRelArch='src'; goRelSha256='5f5dea2447e7dcfdc50fa6b94c512e58bfba5673c039259fd843f68829d99fa6'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-09-14 01:37:59 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-09-14 01:37:59 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-09-14 01:37:59 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-09-14 01:38:00 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-09-14 01:38:00 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2017-09-09 14:30:55 UTC

Size

241 MB

Content Digest
Environment
GOLANG_VERSION

1.8.3

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:38807300bd16de4a00efeffb81570740677ff99a2307929b5335a897a79864df - 18.11% (43.7 MB)

[#001] sha256:21fb83cbb74ba03aed751c7f087705378edd29e4f1ce07e2716700660707347d - 4.4% (10.6 MB)

[#002] sha256:989b8d10c2f17ba15be11d9573c111eaf58cea1cf99248ed8d058f55fb7572f0 - 1.92% (4.63 MB)

[#003] sha256:c4e492673b6687061f8973b79d73308677b8fd7d142bc4bf67739c40f9de7cf1 - 20.36% (49.1 MB)

[#004] sha256:01fa4666b8ac625ddc3356a2f5e34d9be8abe9b8b4a7e654f7546a2fad610159 - 24.49% (59.1 MB)

[#005] sha256:27bc9d2cef7a1e710ca2300544b56b29cbba3e63ad1272fc2707388107eb8947 - 30.71% (74.1 MB)

[#006] sha256:5a723cac63564e95f28c1ac0c351ffd6935ac6425f968a96832ce7d231958d3a - 0.0% (125 Bytes)

[#007] sha256:795dfc9ea4c6906b90d81bd55e81af2f582f12d5d2ac5b3916b5e746b111a0cd - 0.0% (1.33 KB)


History
2017-09-08 13:19:45 UTC

/bin/sh -c #(nop) ADD file:402d57d8bc933b07f97c70a7d47950ab9db320f2efcbfe638adc290d1a0c159d in /

2017-09-08 13:19:46 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-09-09 13:47:04 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-09-09 13:47:12 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg2 dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-09-09 13:47:31 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-09-09 14:26:09 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-09-09 14:30:33 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.8.3

2017-09-09 14:30:52 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='1862f4c3d3907e59b04a757cfda0ea7aa9ef39274af99a784f5be843c80c6772' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='3c30a3e24736ca776fc6314e5092fb8584bd3a4a2c2fa7307ae779ba2735e668' ;; i386) goRelArch='linux-386'; goRelSha256='ff4895eb68fb1daaec41c540602e8bb4c1e8bb2f0e7017367171913fc9995ed2' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='e5fb00adfc7291e657f1f3d31c09e74890b5328e6f991a3f395ca72a8c4dc0b3' ;; s390x) goRelArch='linux-s390x'; goRelSha256='e2ec3e7c293701b57ca1f32b37977ac9968f57b3df034f2cc2d531e80671e6c8' ;; *) goRelArch='src'; goRelSha256='5f5dea2447e7dcfdc50fa6b94c512e58bfba5673c039259fd843f68829d99fa6'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-09-09 14:30:53 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-09-09 14:30:53 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-09-09 14:30:54 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-09-09 14:30:55 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-09-09 14:30:55 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2017-09-27 07:01:23 UTC

Size

217 MB

Content Digest
Environment
GOLANG_VERSION

1.8.3

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d0e027c48353ee136b77f334ed39630b92f19fc4ef9fa26db6c744e8b577bade - 18.37% (39.9 MB)

[#001] sha256:d35ae0119cb83856ab78e1a9091dd8853a6354fd96b2f7ae7947314ef1d5d201 - 4.31% (9.37 MB)

[#002] sha256:2e4ff3caeed0c4bd8411867fca9844cdf7574f03153195c5eb45ad976f434220 - 1.85% (4.02 MB)

[#003] sha256:fadbdb38c8b5d55333db57fa3172a5190e0e4056bc246062c1a1e832fad7cedf - 21.1% (45.8 MB)

[#004] sha256:766e5d713998356c4a63fcbf0f4ab17824c9540d914365296ab19e25127147e1 - 20.12% (43.7 MB)

[#005] sha256:6eef222f0bc9a16b5dbf37fdde109bd9e03afe604a8b9faac688e45d887ee273 - 34.24% (74.4 MB)

[#006] sha256:9ea1af03922a227c607861c9e9b0d4493eff704995d9ea6f4e55b4d813d28a95 - 0.0% (156 Bytes)

[#007] sha256:b2830f3777fa06e8f8ceb2ecb64d5deb32374c6840c642f6143eb0cdaa3ab7a1 - 0.0% (1.34 KB)


History
2017-09-27 04:14:38 UTC

/bin/sh -c #(nop) ADD file:8ee5b45f171806d53c0b75acea33963e2387b8dce889faec31a19f69edc1adb4 in /

2017-09-27 04:14:38 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-09-27 04:45:03 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-09-27 04:45:10 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg2 dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-09-27 04:45:37 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-09-27 07:00:37 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-09-27 07:01:07 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.8.3

2017-09-27 07:01:19 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='1862f4c3d3907e59b04a757cfda0ea7aa9ef39274af99a784f5be843c80c6772' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='3c30a3e24736ca776fc6314e5092fb8584bd3a4a2c2fa7307ae779ba2735e668' ;; i386) goRelArch='linux-386'; goRelSha256='ff4895eb68fb1daaec41c540602e8bb4c1e8bb2f0e7017367171913fc9995ed2' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='e5fb00adfc7291e657f1f3d31c09e74890b5328e6f991a3f395ca72a8c4dc0b3' ;; s390x) goRelArch='linux-s390x'; goRelSha256='e2ec3e7c293701b57ca1f32b37977ac9968f57b3df034f2cc2d531e80671e6c8' ;; *) goRelArch='src'; goRelSha256='5f5dea2447e7dcfdc50fa6b94c512e58bfba5673c039259fd843f68829d99fa6'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-09-27 07:01:20 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-09-27 07:01:20 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-09-27 07:01:21 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-09-27 07:01:23 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-09-27 07:01:23 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2017-09-14 22:57:49 UTC

Size

229 MB

Content Digest
Environment
GOLANG_VERSION

1.8.3

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:97a7e851b7e2e26b94781e2f2bd23043fa46c09b45f0944d9ee2dfd81fa79762 - 18.93% (43.3 MB)

[#001] sha256:8023675c5e9ce36b2e8f22aa583f4048c79f85acd5bb46eafb4238ad6fb5ab01 - 4.31% (9.86 MB)

[#002] sha256:fd3d63d328170af6f0891c6bd9981c8e320ded44c0fc69539f39a8a39da351a4 - 1.91% (4.37 MB)

[#003] sha256:98a04b1bba6cfd2540466516486980293079cc5269a15223da5184073ec277b5 - 20.87% (47.7 MB)

[#004] sha256:23c2443a88fe87270b076edcb01292417b638b243cb51ca502f639d0b89cdf6e - 21.98% (50.2 MB)

[#005] sha256:3a66050c63129de385499ac8e1698ca7c215ac0d2de4497b55e1e6cb3e43de0a - 31.99% (73.1 MB)

[#006] sha256:173c89ecf98f6f781182527d37ce79c7d253c3e4d43ccbcb40a0ae525d08a329 - 0.0% (155 Bytes)

[#007] sha256:d55bbaca3774bb02474c00155b41d0e8fa8523ae523d95a8824286280e83da1c - 0.0% (1.34 KB)


History
2017-09-08 00:34:09 UTC

/bin/sh -c #(nop) ADD file:dcb3d4c61a7bf218af93e213165a66227776bbbf5a29daf22d6bf27b0925f97a in /

2017-09-08 00:34:09 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-09-09 00:50:05 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-09-09 00:50:11 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg2 dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-09-09 00:50:36 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-09-14 22:55:43 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-09-14 22:57:00 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.8.3

2017-09-14 22:57:16 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='1862f4c3d3907e59b04a757cfda0ea7aa9ef39274af99a784f5be843c80c6772' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='3c30a3e24736ca776fc6314e5092fb8584bd3a4a2c2fa7307ae779ba2735e668' ;; i386) goRelArch='linux-386'; goRelSha256='ff4895eb68fb1daaec41c540602e8bb4c1e8bb2f0e7017367171913fc9995ed2' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='e5fb00adfc7291e657f1f3d31c09e74890b5328e6f991a3f395ca72a8c4dc0b3' ;; s390x) goRelArch='linux-s390x'; goRelSha256='e2ec3e7c293701b57ca1f32b37977ac9968f57b3df034f2cc2d531e80671e6c8' ;; *) goRelArch='src'; goRelSha256='5f5dea2447e7dcfdc50fa6b94c512e58bfba5673c039259fd843f68829d99fa6'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-09-14 22:57:20 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-09-14 22:57:27 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-09-14 22:57:43 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-09-14 22:57:46 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-09-14 22:57:49 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/

Details
Created

2017-09-08 17:01:16 UTC

Size

221 MB

Content Digest
Environment
GOLANG_VERSION

1.8.3

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:2f25bc6ba506d980514ec3fda2b8f9cbb5e39423e5e4edad7fadf3faa9e3aef7 - 19.4% (42.9 MB)

[#001] sha256:4e2613300bf7a17d255985767ab61134bf7ecc98fa57f7891fea9b835db02054 - 4.6% (10.2 MB)

[#002] sha256:2df570186a79f815ceec8bbf45a03e3ba55709c015a46d3f17c584d06443435e - 2.01% (4.45 MB)

[#003] sha256:7c749fffc6dccd36770e6c1e7f0364a12c7a2ed5861a052eee9a8bf85310000b - 21.75% (48.1 MB)

[#004] sha256:7a7b50373851afeb028f7f59dd45f9f27a95e4db7e3e0d860bdc6eb21e7dcd28 - 19.74% (43.7 MB)

[#005] sha256:060f62c8c0b0303e2a7370b66c56d7867e18da3c342fbf2a95235feeffe05c86 - 32.5% (71.9 MB)

[#006] sha256:b16928b0a09a4bf61805c54ca1d1099705f0f3947ae251a09e26fe43d2b22db0 - 0.0% (124 Bytes)

[#007] sha256:04cf9a497b1b3d024fd7ff48910eac3dbc28359f400e3128a664ed011559ac40 - 0.0% (1.33 KB)


History
2017-09-08 05:22:51 UTC

/bin/sh -c #(nop) ADD file:2fc0b17ef015eff73a1fa19bbc2a72baf39b9f2abe8ccd1cd8ce1c757be70308 in /

2017-09-08 05:22:53 UTC

/bin/sh -c #(nop) CMD ["bash"]

2017-09-08 16:38:21 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl wget && rm -rf /var/lib/apt/lists/*

2017-09-08 16:38:28 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg2 dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2017-09-08 16:38:53 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2017-09-08 17:00:57 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2017-09-08 17:01:07 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.8.3

2017-09-08 17:01:15 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='1862f4c3d3907e59b04a757cfda0ea7aa9ef39274af99a784f5be843c80c6772' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='3c30a3e24736ca776fc6314e5092fb8584bd3a4a2c2fa7307ae779ba2735e668' ;; i386) goRelArch='linux-386'; goRelSha256='ff4895eb68fb1daaec41c540602e8bb4c1e8bb2f0e7017367171913fc9995ed2' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='e5fb00adfc7291e657f1f3d31c09e74890b5328e6f991a3f395ca72a8c4dc0b3' ;; s390x) goRelArch='linux-s390x'; goRelSha256='e2ec3e7c293701b57ca1f32b37977ac9968f57b3df034f2cc2d531e80671e6c8' ;; *) goRelArch='src'; goRelSha256='5f5dea2447e7dcfdc50fa6b94c512e58bfba5673c039259fd843f68829d99fa6'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2017-09-08 17:01:15 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2017-09-08 17:01:15 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2017-09-08 17:01:16 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2017-09-08 17:01:16 UTC

/bin/sh -c #(nop) WORKDIR /go

2017-09-08 17:01:16 UTC

/bin/sh -c #(nop) COPY file:ea7c9f4702f94a0df05f60648914e97f7876c4a7c5163e7870dd98fa896ff722 in /usr/local/bin/